package com.zkqy;

import java.lang.reflect.Field;

public class Test {
    public static void main(String[] args) {
        int a = 10;
        int b = 20;
        method(a, b);
        System.out.println(a + "--" + b); // 输出结果是 100--200
    }

    public static void method(int a, int b) {
        try {
            // 获取 Test 类的所有字段
            Field[] fields = Test.class.getDeclaredFields();
            // 遍历所有字段
            for (Field field : fields) {
                // 如果字段名为 a 或 b，则将其修改为 100 或 200
                if (field.getName().equals("a")) {
                    field.setInt(null, 100);
                } else if (field.getName().equals("b")) {
                    field.setInt(null, 200);
                }
            }
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        }
    }

    // 定义 a 和 b 字段，必须是静态的
    private static int a;
    private static int b;
}
